commit 0c80c13195db76ef9d42122064f856a1a82609ce
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Sep 2 00:17:02 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2f19ed334fd..5afe104a0c6 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,28 @@
+2020-09-01  Martin Liska  <mliska@suse.cz>
+
+	Backported from master:
+	2020-08-24  Martin Liska  <mliska@suse.cz>
+
+	PR tree-optimization/96597
+	* tree-ssa-sccvn.c (vn_reference_lookup_call): Add missing
+	initialization of ::punned.
+	(vn_reference_insert): Use consistently false instead of 0.
+	(vn_reference_insert_pieces): Likewise.
+
+2020-09-01  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2020-08-04  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/88240
+	* tree-ssa-sccvn.h (vn_reference_s::punned): New flag.
+	* tree-ssa-sccvn.c (vn_reference_insert): Initialize punned.
+	(vn_reference_insert_pieces): Likewise.
+	(visit_reference_op_call): Likewise.
+	(visit_reference_op_load): Track whether a ref was punned.
+	* tree-ssa-pre.c (do_hoist_insertion): Refuse to perform hoist
+	insertion on punned floating point loads.
+
 2020-08-31  Richard Biener  <rguenther@suse.de>
 
 	PR tree-optimization/96854
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 25aba91f392..bbf1226868f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200901
+20200902
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index bf2c72b4f60..7aba3c48197 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,14 @@
+2020-09-01  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	Backported from master:
+	2020-09-01  Steven G. Kargl  <kargl@gcc.gnu.org>
+		    Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	PR fortran/95398
+	* resolve.c (resolve_select_type): Add check for BT_CLASS
+	type before using the CLASS_DATA macro which will have a
+	NULL pointer to derive components if it isn't BT_CLASS.
+
 2020-08-31  Tobias Burnus  <tobias@codesourcery.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 52c1db50adf..971375d015b 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2020-09-01  Mark Eggleston  <markeggleston@gcc.gnu.org>
+
+	Backported from master:
+	2020-09-01  Steven G. Kargl  <kargl@gcc.gnu.org>
+
+	PR fortran/95398
+	* gfortran.dg/pr95398.f90: New test.
+
+2020-09-01  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2020-08-04  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/88240
+	* gcc.target/i386/pr88240.c: New testcase.
+
 2020-08-31  Richard Biener  <rguenther@suse.de>
 
 	PR tree-optimization/96854

